package org.apache.commons.lang3.time;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import java.io.IOException;
import java.util.Calendar;
import org.apache.commons.lang3.time.FastDatePrinter;

class TwentyFourHourField implements FastDatePrinter.NumberRule {
  private final FastDatePrinter.NumberRule mRule;
  
  TwentyFourHourField(FastDatePrinter.NumberRule rule) {
    this.mRule = rule;
  }
  
  public int estimateLength() {
    return this.mRule.estimateLength();
  }
  
  public void appendTo(Appendable buffer, Calendar calendar) throws IOException {
    int value = calendar.get(11);
    if (value == 0)
      value = calendar.getMaximum(11) + 1; 
    this.mRule.appendTo(buffer, value);
  }
  
  public void appendTo(Appendable buffer, int value) throws IOException {
    this.mRule.appendTo(buffer, value);
  }
}
